// (c) Femte Gear Internet Software 1998
//************************************************************
//
// The VCL demo !
//
// to run this demo you'll need  :
//  - a web server
// 
//  see setup.txt for information about setting up a local webserver for testing.
//
// About this demo :
//
// This demo shows how to use the TPxVCLWrapper component. In this case, we use
// the well known TChart component.
//

unit VCLcode;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TeEngine, Series, PxCustomImage, PxVCLWrapper, ExtCtrls, TeeProcs, Chart,
  PxComponent, PxVisibleComponent, PxContainer, PxPage, PxCGI,PxMisctools,
  PxCustomText, PxText, HttpEng, GenEng, PxOptimizer, PxCGIExpertOptimizer;

type
  TForm1 = class(TForm)
    PxPage1: TPxPage;
    Chart1: TChart;
    PxVCLWrapper1: TPxVCLWrapper;
    Series1: TAreaSeries;
    Series2: TAreaSeries;
    PxText1: TPxText;
    Engine: TGeneralHttpEngine;
    optimizer: TPxCGIExpertOptimizer;
    procedure EngineExecRequest(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.EngineExecRequest(Sender: TObject);
var
   i : integer;
begin
   try
   // Set up the path that the browser must follow to find the images
     PxSetExternalImagePath('/images/');

     // Set up the path that the server must follow to find the images
     PxSetInternalImagePath('..\htdocs\images\');

     // delete all AG*.gif files ( max 100 ) on the internal image path older than 5 minutes
     PxCleanupTempResources(5,100);

     randomize;
     // fill up the chart with some random data
     chart1.series[0].clear;
     chart1.series[1].clear;
          
     for i:=0 to 25 do
     begin
         chart1.series[0].AddY(random(50),'',clRed);
         chart1.series[1].AddY(random(25),'',clBlue);
     end;

     Engine.put(PxPage1.put(optimizer));
   Except

   end;
end;

end.
