// (c) Femte Gear Internet Software 1999
//************************************************************
//
// The optimizer test demo !
//
// to run this demo you'll need  :
//  - a web server
//
//  see setup.txt for information about setting up a local webserver for testing.
//
// About this demo :
//
//   this demo demonstrates how the optimizer works.
//   Each time the page is created, it it optimized for a browser type
//   ( Navigator / IE  / Opera / Old )
//   See the generated html to see the difference.
//
//   If you use a netscape browser, you will see the Netscape CSS bug when
//   the page is generated for IE or Opera browsers. Some of the columns will
//   have incorrect fonts.


unit largetable;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PxCustomText, PxText, PxCustomInputComponent, PxRadioButton, PxInputForm,
  PxOptimizer, PxCustomTable, PxTable, PxComponent,
  PxVisibleComponent, PxContainer, PxPage, PxSubmitButton, PxCGI, HttpEng,
  GenEng;

type
  TForm1 = class(TForm)
    PxPage1: TPxPage;
    PxTable1: TPxTable;
    Optimizer: TPxOptimizer;
    PxInputForm1: TPxInputForm;
    PxText3: TPxText;
    PxText4: TPxText;
    PxText1: TPxText;
    engine: TGeneralHttpEngine;
    procedure engineExecRequest(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.engineExecRequest(Sender: TObject);
var

   s,i,j : integer;
begin
     s:=random(3);
     PxText3.text.clear;
     if s=0 then
     begin // netscape
          Optimizer.CSSUse:=true;
          Optimizer.CSSoptimizeTableDefinitions:=false;
          PxText3.text.add('Netscape');
     end;
     if s=1 then
     begin
          Optimizer.CSSUse:=true;
          Optimizer.CSSoptimizeTableDefinitions:=true;
          PxText3.text.add('Internet Explorer 3+ / Opera x.x');
     end;

     if s=2 then
     begin
          Optimizer.CSSUse:=false;
          Optimizer.CSSoptimizeTableDefinitions:=false;
          PxText3.text.add('Older browsers ( non-css ) ');
     end;

     PxTable1.EmptyTable;
     for i:=0 to 150 do
         for j:=0 to 9 do
             PxTable1.Items[j,i].text:=inttostr(random(100));

     engine.put(PxPage1.put(optimizer));

end;

end.
